--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: channel user was kicked from
  name: channel
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: class to manage IRC KICKs +address?+ can be used as a shortcut to see if the bot was kicked, basically, <tt>target</tt> was kicked from <tt>channel</tt> by <tt>source</tt> with <tt>message</tt>
constants: []

full_name: Irc::KickMessage
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: inspect
name: KickMessage
superclass: BasicUserMessage
